Package: org.gradle.api.tasks

## [Java] Class TaskExecutionException

- org.gradle.api.tasks.TaskExecutionException

- A `TaskExecutionException` is thrown when a task fails to execute successfully.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TaskExecutionException (Task task, Throwable cause)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Task` | `getTask()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TaskExecutionException(Task task, Throwable cause)

  - ### Method Detail

    - #### public Task getTask()